Subject: bug#41100: 2 undefined references and missing character (Emacs manual, PDF)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 May 2020 14:32:24 +0300

> From: Sebastian Urban <[email-masked]>
> Date: Tue, 5 May 2020 22:17:39 +0200
> 
> For DIRED.TEXI (from build log):
>    l.726: Undefined cross reference `VC Delete/Rename-snt'.
>    l.726: Undefined cross reference `VC Delete/Rename-snt'.
>    l.726: Undefined cross reference `VC Delete/Rename-pg'.
> In VC1-XTRA.TEXI (L206-211), this reference is for non-TeX formats,
> for TeX there is longer name.

Fixed.

> For CUSTOM.TEXI (from build log):
>    l.1885: Undefined cross reference `(Hooks)-snt'.
>    l.1885: Undefined cross reference `(Hooks)-snt'.
>    l.1885: Undefined cross reference `(Hooks)-pg'.

Fixed.

> As for missing character, there is a problem with word "Bahá'í" in
> CALENDAR.TEXI.  In the log I found:
>    Missing character: There is no Ă in font cmr10!
>    Missing character: There is no Ą in font cmr10!
>    Missing character: There is no Ă in font cmr10!
>    Missing character: There is no - in font cmr10!
> After changing "Bahá'í" to "Baha'i", so ASCII only, the lines above
> disappeared from the log.

I tried to fix this, but I'm not sure the fix will work: ultimately,
this is a problem with fonts available to TeX.  I'm not sure we should
change names that are dear to some people because TeX might not have a
suitable font.  It could also be a Texinfo problem.

Thanks.